Loading...
Searching...
No Matches
Opm::EclMaterialLaw::TwoPhaseTypes< Traits > Class Template Reference

Helper class defining various two-phase types used in three-phase material laws. More...

`#include <EclMaterialLawTwoPhaseTypes.hpp>`

## Public Types

using | GasOilTraits
using | OilWaterTraits
using | GasWaterTraits
using | GasOilEffectiveLaw = SatCurveMultiplexer<GasOilTraits>
using | OilWaterEffectiveLaw = SatCurveMultiplexer<OilWaterTraits>
using | GasWaterEffectiveLaw = SatCurveMultiplexer<GasWaterTraits>
using | GasOilEffectiveParams = typename GasOilEffectiveLaw::Params
using | OilWaterEffectiveParams = typename OilWaterEffectiveLaw::Params
using | GasWaterEffectiveParams = typename GasWaterEffectiveLaw::Params
template<bool enableEPS, typename BaseLaw>
using | SelectEPSLaw = std::conditional_t<enableEPS, EclEpsTwoPhaseLaw<BaseLaw>, BaseLaw>
using | GasOilEpsLaw = SelectEPSLaw<Traits::enableEndpointScaling, GasOilEffectiveLaw>
using | OilWaterEpsLaw = SelectEPSLaw<Traits::enableEndpointScaling, OilWaterEffectiveLaw>
using | GasWaterEpsLaw = SelectEPSLaw<Traits::enableEndpointScaling, GasWaterEffectiveLaw>
using | GasOilEpsParams = typename GasOilEpsLaw::Params
using | OilWaterEpsParams = typename OilWaterEpsLaw::Params
using | GasWaterEpsParams = typename GasWaterEpsLaw::Params
template<bool enableHyst, typename BaseLaw>
using | SelectHystLaw = std::conditional_t<enableHyst, EclHysteresisTwoPhaseLaw<BaseLaw>, BaseLaw>
using | GasOilLaw = SelectHystLaw<Traits::enableHysteresis, GasOilEpsLaw>
using | OilWaterLaw = SelectHystLaw<Traits::enableHysteresis, OilWaterEpsLaw>
using | GasWaterLaw = SelectHystLaw<Traits::enableHysteresis, GasWaterEpsLaw>
using | GasOilHystParams = typename GasOilLaw::Params
using | OilWaterHystParams = typename OilWaterLaw::Params
using | GasWaterHystParams = typename GasWaterLaw::Params
using | GasOilEffectiveParamVector = std::vector<std::shared_ptr<GasOilEffectiveParams>>
using | OilWaterEffectiveParamVector = std::vector<std::shared_ptr<OilWaterEffectiveParams>>
using | GasWaterEffectiveParamVector = std::vector<std::shared_ptr<GasWaterEffectiveParams>>

## Detailed Description

template<class Traits>
class Opm::EclMaterialLaw::TwoPhaseTypes< Traits >

Helper class defining various two-phase types used in three-phase material laws.

## Member Typedef Documentation

## GasOilTraits

template<class Traits>

using Opm::EclMaterialLaw::TwoPhaseTypes< Traits >::GasOilTraits

Initial value:

## GasWaterTraits

template<class Traits>

using Opm::EclMaterialLaw::TwoPhaseTypes< Traits >::GasWaterTraits

Initial value:

## OilWaterTraits

template<class Traits>

using Opm::EclMaterialLaw::TwoPhaseTypes< Traits >::OilWaterTraits

Initial value:

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/EclMaterialLawTwoPhaseTypes.hpp